• Русский
  • TriggerTemplate [triggers.tekton.dev/v1beta1]

    Description
    TriggerTemplate takes parameters and uses them to create CRDs
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    Spec holds the desired state of the TriggerTemplate from the client

    statusobject

    TriggerTemplateStatus describes the desired state of TriggerTemplate

    .spec

    Description
    Spec holds the desired state of the TriggerTemplate from the client
    Type
    object
    PropertyTypeDescription
    paramsarray
    resourcetemplatesarray

    .spec.params

    Type
    array

    .spec.params[]

    Description
    ParamSpec defines an arbitrary named input whose value can be supplied by a `Param`.
    Type
    object
    Required
    name
    PropertyTypeDescription
    defaultstring

    Default is the value a parameter takes if no input value via a Param is supplied.

    descriptionstring

    Description is a user-facing description of the parameter that may be used to populate a UI.

    namestring

    Name declares the name by which a parameter is referenced.

    .spec.resourcetemplates

    Type
    array

    .spec.resourcetemplates[]

    Description
    TriggerResourceTemplate describes a resource to create
    Type
    object

    .status

    Description
    TriggerTemplateStatus describes the desired state of TriggerTemplate
    Type
    object

    API Endpoints

    The following API endpoints are available:

    • /apis/triggers.tekton.dev/v1alpha1/namespaces/{namespace}/triggertemplates
      • DELETE: delete collection of TriggerTemplate
      • GET: list objects of kind TriggerTemplate
      • POST: create a new TriggerTemplate
    • /apis/triggers.tekton.dev/v1alpha1/namespaces/{namespace}/triggertemplates/{name}
      • DELETE: delete the specified TriggerTemplate
      • GET: read the specified TriggerTemplate
      • PATCH: partially update the specified TriggerTemplate
      • PUT: replace the specified TriggerTemplate
    • /apis/triggers.tekton.dev/v1alpha1/namespaces/{namespace}/triggertemplates/{name}/status
      • GET: read status of the specified TriggerTemplate
      • PATCH: partially update status of the specified TriggerTemplate
      • PUT: replace status of the specified TriggerTemplate

    /apis/triggers.tekton.dev/v1alpha1/namespaces/{namespace}/triggertemplates

    HTTP method
    DELETE
    Description
    delete collection of TriggerTemplate
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind TriggerTemplate
    HTTP responses
    HTTP codeResponse body
    200 - OKTriggerTemplateList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new TriggerTemplate
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyTriggerTemplate schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKTriggerTemplate schema
    201 - CreatedTriggerTemplate schema
    202 - AcceptedTriggerTemplate schema
    401 - UnauthorizedEmpty

    /apis/triggers.tekton.dev/v1alpha1/namespaces/{namespace}/triggertemplates/{name}

    HTTP method
    DELETE
    Description
    delete the specified TriggerTemplate
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified TriggerTemplate
    HTTP responses
    HTTP codeResponse body
    200 - OKTriggerTemplate schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified TriggerTemplate
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKTriggerTemplate schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified TriggerTemplate
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyTriggerTemplate schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKTriggerTemplate schema
    201 - CreatedTriggerTemplate schema
    401 - UnauthorizedEmpty

    /apis/triggers.tekton.dev/v1alpha1/namespaces/{namespace}/triggertemplates/{name}/status

    HTTP method
    GET
    Description
    read status of the specified TriggerTemplate
    HTTP responses
    HTTP codeResponse body
    200 - OKTriggerTemplate schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified TriggerTemplate
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKTriggerTemplate schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified TriggerTemplate
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyTriggerTemplate schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKTriggerTemplate schema
    201 - CreatedTriggerTemplate schema
    401 - UnauthorizedEmpty